: Class ConfigException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ts.config
Class ConfigException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--ts.config.ConfigException

All Implemented Interfaces:
  java.io.Serializable

public class ConfigException
extends java.lang.Exception

Exception class for core Config.

Version:
  $Id: ConfigException.java,v 1.3 1999/02/21 08:47:07 hauk Exp $
Author:
  Jan-Henrik Haukeland
See Also:
  Serialized Form

Field Summary
`static int` | `ERROR`
`static int` | `FATAL`
`static int` | `OK`
`static int` | `WARNING`

Constructor Summary
`ConfigException(int status, java.lang.String message)` Store status.
`ConfigException(java.lang.String message)` Construct a new ConfigExeption with default ERROR status

Method Summary
`int` | `status()` Return status.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OK

    public static final int OK

### WARNING

    public static final int WARNING

### ERROR

    public static final int ERROR

### FATAL

    public static final int FATAL

Constructor Detail

### ConfigException

    public ConfigException(int status,
                           java.lang.String message)

  Store status. Legal values for status are public constants in this class.

### ConfigException

    public ConfigException(java.lang.String message)

  Construct a new ConfigExeption with default ERROR status

Method Detail

### status

    public int status()

  Return status.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD